package com.vip.sdk.utils_lib.thread;

import java.util.concurrent.Callable;
import java.util.concurrent.FutureTask;

/**
 * Author: rongjinsong(jason01.rong@vipshop.com)
 * Date: 2015-05-20
 * Time: 17:46
 */
public class ComparableFutureTask<V> extends FutureTask<V> implements Comparable {
    public ComparableFutureTask(Callable callable) {
        super(callable);
    }

    public ComparableFutureTask(Runnable runnable, V result) {
        super(runnable, result);
    }

    @Override
    public int compareTo(Object another) {
        return 0;
    }
}
